# irb start-up program numru/gdir_connect_ftp-like

A ftp-like client of GPhys directory services (e.g., gdir_server.rb). Connection is based on dRuby.

## Usage

    At command line,
     % irb --noinspect -r numru/gphys_connect_ftp-like
    then type in the URI of the server.

## Available Methods

    Native methods:
      help  help_more  ls  dir  pwd  cd(path)  open(name)  readtext(name)
      start_dcl(iws=1, iwidth=500, iheight=500, uzfact=1.0)

    All GGraph methods:
      contour(gphys)  line(gphys)  etc.etc.

## Methods

#### `help`

  Show a help message

#### `help_more`

  Show a further help message

#### `ls`

  List the directory.

#### `dir`

#### `ls_l`

  Like ls but with a long descriptive format

#### `pwd`

  Prints the path of the current directory.

#### `open(name)`

  opens a GPhys, where name is a variable name in the current directory (shown by ls without trailing "/").

#### `readtext(name)`

  prints the contents of the text file in the current directory (shown by ls with remarks as such).

#### `start_dcl(iws=1, iwidth=500, iheight=500, uzfact=1.0)`

  To start RubyDCL (Calls DCL.gropn(iws)). Call this before using GGraph module functions such as contour.

#### `contour`

#### `line`

  GGraph methods